Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.extension
Class ExStackWindow

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--ij.gui.ImageWindow
                                    |
                                    +--jm.extension.ExImageWindow
                                          |
                                          +--jm.extension.ExStackWindow

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.awt.event.AdjustmentListener, java.util.EventListener, java.awt.event.FocusListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.lang.Runnable, java.io.Serializable, java.awt.event.WindowListener

public class ExStackWindow
extends ExImageWindow
implements java.lang.Runnable, java.awt.event.AdjustmentListener, java.awt.event.ActionListener

Diese Klasse erweitert das StackWindow von ImageJ. Die Ableitung dieses Klasse ist nur noetig, un eine explizite Typumwandlung eines ImageCanvas in ein ExImageCanvas ermoeglichen zu koennen.

See Also:
  `ExImageCanvas`, `AnalysisDialog`, Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected boolean` | `done`
`protected int` | `slice`
`protected java.awt.Scrollbar` | `sliceSelector`
`protected java.lang.Thread` | `thread`

Fields inherited from class ij.gui.ImageWindow
`clipboard, closed, ic, ij, imp, running`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ExStackWindow(ij.ImagePlus imp)` Der Konstruktor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Faengt durch Mausklicks oder Tastatureingaben erzeugte Events ab.
`void` | `adjustmentValueChanged(java.awt.event.AdjustmentEvent e)` Faengt Bewegungen des Schiebereglers zum Durchblaettern der Bilderstapels ab.
`boolean` | `close()` Wird aufgerufen, wenn das Fenster geschlossen wird.
`void` | `lock()` Sperrt das Fenster fuer weitere Eingaben von maus oder Tastatur.
`void` | `run()` Startet den Thread zur Ueberwachung des Schiebereglers.
`void` | `showSlice(int index)` Zeigt die mit dem Schieberegler eingestellte Bildnummer der Sequenz an und updated den Fenstertext in der Statuszeile ueber dem Bild.
`void` | `unlock()` Hebt die Sperrung des Fensters wieder auf

Methods inherited from class jm.extension.ExImageWindow
`drawInfo, paint`

Methods inherited from class ij.gui.ImageWindow
`copy, focusGained, focusLost, getCanvas, getImagePlus, getInitialMagnification, getInsets, isClosed, mouseMoved, paste, toString, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getAccessibleContext, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, paramString, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### sliceSelector

    protected java.awt.Scrollbar sliceSelector

### thread

    protected java.lang.Thread thread

### done

    protected boolean done

### slice

    protected int slice

Constructor Detail

### ExStackWindow

    public ExStackWindow(ij.ImagePlus imp)

  Der Konstruktor.

Parameters:
  `imp` - ImagePlus-Objekt von ImageJ

Method Detail

### adjustmentValueChanged

    public void adjustmentValueChanged(java.awt.event.AdjustmentEvent e)

  Faengt Bewegungen des Schiebereglers zum Durchblaettern der Bilderstapels ab.

  Specified by:
    `adjustmentValueChanged` in interface `java.awt.event.AdjustmentListener`
  Parameters:
    `e` - AdjustmentEvent, ausgeloest durch Bewegung des Schiebereglers.

### lock

    public void lock()

  Sperrt das Fenster fuer weitere Eingaben von maus oder Tastatur. Im gesperrten Zustand sind keine Mausklicks und kein Durchblaettern mehr moeglich.

### unlock

    public void unlock()

  Hebt die Sperrung des Fensters wieder auf

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Faengt durch Mausklicks oder Tastatureingaben erzeugte Events ab.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `e` - ActionsEvent

### close

    public boolean close()

  Wird aufgerufen, wenn das Fenster geschlossen wird.

  Overrides:
    `close` in class `ExImageWindow`
  Returns:
    boolean true, wenn der Vorgang erfolgreich war.

### showSlice

    public void showSlice(int index)

  Zeigt die mit dem Schieberegler eingestellte Bildnummer der Sequenz an und updated den Fenstertext in der Statuszeile ueber dem Bild.

  Returns:
    int Nummer der Bildes

### run

    public void run()

  Startet den Thread zur Ueberwachung des Schiebereglers.

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD